Attean::API::QuadPattern(3pm)

NAME
Attean::API::QuadPattern - Role representing quad patterns

VERSION
This document describes Attean::API::QuadPattern version 0.019

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role representing quad patterns.

ROLES
This role consumes Attean::API::TripleOrQuadPattern and Attean::API::Binding, which provide the following methods:

"mapping"
"values"
"tuples_string"
"as_string"

METHODS

"variables"
    Returns the list of variable names: "qw(subject predicate object graph)".

"value( $key )"
    Returns the Attean::API::Term value bound to the variable named $key (which must be present in the "variables" list), undef otherwise.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.